<?php
/*
	config.php
	The Config file used for WebStats. Edit this before you upload the files to your web server.
	
	-----------------------
	
	Copyright (c) 2011, Thijn
	All rights reserved.

	Redistribution and use in source and binary forms, with or without
	modification, are permitted provided that the following conditions are met:
		* Redistributions of source code must retain the above copyright
		notice, this list of conditions and the following disclaimer.
		* Redistributions in binary form must reproduce the above copyright
		notice, this list of conditions and the following disclaimer in the
		documentation and/or other materials provided with the distribution.
		* Neither the name of WebStats nor the names of its contributors may
		be used to endorse or promote products derived from this software
		without specific prior written permission.
		
		
	THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
	ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
	WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
	DISCLAIMED. IN NO EVENT SHALL JUPPI/LIBERTY UNLEASHED BE LIABLE FOR ANY
	DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
	(INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
	LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
	ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
	(INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
	SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
		
*/

	//The sqlite database file. ( Example: ../../database.db )
	$DBFile 		= "database.db";
	
	//Your server's Name. This will be displayed on the header. And also in the Title - So don't leave this blank!
	$ServerName 	= "Thijn's WebStats Page!"; 
	
	//If you want to display a Logo/Image instead of your server's name, enter a relative image path here. ( Example: images/Logo.png )
	//Leave this blank if you want to display only the Server's Name as text, or if you don't have a Logo
	$ServerLogo		= "";
	
	//The Table name where your Kills and Deaths are stored
	$StatsTable		= "Stats";
	
	$Fields 		= array(
								'Kills' => "Kills", // <- Edit this, if it's different. Leave the first Kills there though!
								'Deaths' => "Deaths", //Same here
								'Nickname' => "Nickname", //And same here
							);
	
	//Do you save weapon stats? Set this to true, otherwise set this to false
	$EnableWepStats	= true;
	
	//Settings where I can find the weaponstats
	
	//The Table name of the weapon stats
	$WepStatsTable	= "WepStats";
	
	//What weapons should we display on the home page? Please don't choose more then 5.
	//Use the Weapon names used below in the Fields Array!
	$WepStatsShow	= array(
								'Stubby',
								'Shotgun',
								'Spaz',
								'M60',
								'M4',
							);
	
	
	//The field names of the weapon stats
	$WepStatsFields	= array(
								'Fist' 			=> "Fist",
								'Screwdriver' 	=> "Screwdriver",
								'Golf Club' 	=> "GolfClub",
								'Nightstick'	=> "Nightstick",
								'Knife' 		=> "Knife",
								'Baseball Bat' 	=> "BaseballBat",
								'Hammer' 		=> "Hammer",
								'Cleaver' 		=> "Cleaver",
								'Machete' 		=> "Machete",
								'Katana' 		=> "Katana",
								'Chainsaw' 		=> "Chainsaw",
								'Colt45' 		=> "Colt45",
								'Python' 		=> "Python",
								'Shotgun' 		=> "Shotgun",
								'Spaz' 			=> "Spaz",
								'Stubby' 		=> "Stubby",
								'Tec9' 			=> "Tec9",
								'Uzi' 			=> "Uzi",
								'Ingrams' 		=> "SilencedIngram",
								'MP5' 			=> "MP5",
								'M4' 			=> "M4",
								'Ruger' 		=> "Ruger",
								'Sniper Rifle' 	=> "SniperRifle",
								'Laser Sniper' 	=> "LaserscopeSniperRifle",
								'Flames' 		=> "Flamethrower",
								'M60' 			=> "m60",
								'Helicannon' 	=> "Helicannon",
								'Vehicle' 		=> "Vehicle",
								'Drive-By' 		=> "DriveBy",
								'Explosion' 	=> "Explosion",
								'Heli Blades' 	=> "HeliBlades",
								
								'Nickname' => "nick",
							);
	
	//END OF FILE, Yes you're really done configuring! Go upload the files and watch your shiney new Web Stats page!
?>