<?php
/*
	player.php
	This file will display Player specific stats.
	
	-----------------------
	
	Copyright (c) 2011, Thijn
	All rights reserved.

	Redistribution and use in source and binary forms, with or without
	modification, are permitted provided that the following conditions are met:
		* Redistributions of source code must retain the above copyright
		notice, this list of conditions and the following disclaimer.
		* Redistributions in binary form must reproduce the above copyright
		notice, this list of conditions and the following disclaimer in the
		documentation and/or other materials provided with the distribution.
		* Neither the name of WebStats nor the names of its contributors may
		be used to endorse or promote products derived from this software
		without specific prior written permission.


	THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
	ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
	WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
	DISCLAIMED. IN NO EVENT SHALL JUPPI/LIBERTY UNLEASHED BE LIABLE FOR ANY
	DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
	(INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
	LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
	ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
	(INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
	SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

*/
	require( "database.php" );
?>
<html>
<head>
<title><?php echo $ServerName; ?> - WebStats</title>

<link rel="stylesheet" href="style.css" type="text/css" media="screen" />

</head>
<body>
	<div class="header"><?php if ( !empty( $ServerLogo ) ) echo '<img src="'.$ServerLogo.'" />'; else echo '<h1>'.$ServerName.'</h1>'; ?></div>
	<div class="wrapper">
		<div class="content">
<?php
if ( isset($_REQUEST['nick']) )
{
$sql = 'SELECT DISTINCT * FROM '.$StatsTable.' WHERE '.$Fields['Nickname'].' = "'.addslashes( $_REQUEST['nick'] ).'" COLLATE NOCASE';
$found = false;

foreach ($database->query($sql) as $row)
{
$found = true;
echo '
			<h2><i><center>'.$_REQUEST['nick'].'\'s Stats</center></i></h2>
			<br /><br /><h3><u>Basic Stats</h3></u>
			<p>
				Kills: '.$row[ $Fields['Kills'] ].'<br/>
				Deaths: '.$row[ $Fields['Deaths'] ].'<br/>
				Ratio: '.( ( ( $row[ $Fields['Kills'] ] > 0 ) && ( $row[ $Fields['Deaths'] ] > 0 ) ) ? round($row[ $Fields['Kills'] ] / $row[ $Fields['Deaths'] ],2) : 0 ).'<br/>
				Position: '.GetPos( $_REQUEST['nick'] ).'<br/><br/>
			</p>
			
			<br/><br/><h3><u>Signature</u></h3><br/>
			<img src="sig.php?nick='.$_REQUEST['nick'].'" />';

	if ( $EnableWepStats )
	{
		$sql = 'SELECT DISTINCT * FROM '.$WepStatsTable.' WHERE '.$WepStatsFields['Nickname'].' = "'.addslashes( $_REQUEST['nick'] ).'" COLLATE NOCASE';
		foreach( $database->query( $sql ) as $row )
		{
		echo '
			<br><br><h3><u>Weapon Stats</u></h3><br/>
			<table class="no-border">
				<tr>
					<td>
						<table class="nice-table" align="left" colspan="5" width="250">
							<tr><td><b>Fist:</b></td><td>'.$row[ $WepStatsFields['Fist'] ].'</td></tr>
							<tr><td><b>Screwdriver:</b></td><td>'.$row[ $WepStatsFields['Screwdriver'] ].'</td></tr>
							<tr><td><b>Golf Club:</b></td><td>'.$row[ $WepStatsFields['Golf Club'] ].'</td></tr>
							<tr><td><b>Nightstick:</b></td><td>'.$row[ $WepStatsFields['Nightstick'] ].'</td></tr>
							<tr><td><b>Knife:</b></td><td>'.$row[ $WepStatsFields['Knife'] ].'</td></tr>
							<tr><td><b>Baseball Bat:</b></td><td>'.$row[ $WepStatsFields['Baseball Bat'] ].'</td></tr>
							<tr><td><b>Hammer:</b></td><td>'.$row[ $WepStatsFields['Hammer'] ].'</td></tr>
							<tr><td><b>Cleaver:</b></td><td>'.$row[ $WepStatsFields['Cleaver'] ].'</td></tr>
							<tr><td><b>Machete:</b></td><td>'.$row[ $WepStatsFields['Machete'] ].'</td></tr>
							<tr><td><b>Katana:</b></td><td>'.$row[ $WepStatsFields['Katana'] ].'</td></tr>
							<tr><td><b>Chainsaw:</b></td><td>'.$row[ $WepStatsFields['Chainsaw'] ].'</td></tr>
							<tr><td><b>Colt45:</b></td><td>'.$row[ $WepStatsFields['Colt45'] ].'</td></tr>
							<tr><td><b>Python:</b></td><td>'.$row[ $WepStatsFields['Python'] ].'</td></tr>
							<tr><td><b>Shotgun:</b></td><td>'.$row[ $WepStatsFields['Shotgun'] ].'</td></tr>
							<tr><td><b>Spaz:</b></td><td>'.$row[ $WepStatsFields['Spaz'] ].'</td></tr>
							<tr><td><b>Stubby:</b></td><td>'.$row[ $WepStatsFields['Stubby'] ].'</td></tr>
						</table>
					</td>
						<td>
						<table class="nice-table" align="righ" colspan="5" width="250">
							<tr><td><b>Tec9:</b></td><td>'.$row[ $WepStatsFields['Tec9'] ].'</td></tr>
							<tr><td><b>Uzi:</b></td><td>'.$row[ $WepStatsFields['Uzi'] ].'</td></tr>
							<tr><td><b>Ingram:</b></td><td>'.$row[ $WepStatsFields['Ingrams'] ].'</td></tr>
							<tr><td><b>MP5:</b></td><td>'.$row[ $WepStatsFields['MP5'] ].'</td></tr>
							<tr><td><b>M4:</b></td><td>'.$row[ $WepStatsFields['M4'] ].'</td></tr>
							<tr><td><b>Ruger:</b></td><td>'.$row[ $WepStatsFields['Ruger'] ].'</td></tr>
							<tr><td><b>Sniper Rifle:</b></td><td>'.$row[ $WepStatsFields['Sniper Rifle'] ].'</td></tr>
							<tr><td><b>Laser Rifle:</b></td><td>'.$row[ $WepStatsFields['Laser Sniper'] ].'</td></tr>
							<tr><td><b>Flames:</b></td><td>'.$row[ $WepStatsFields['Flames'] ].'</td></tr>
							<tr><td><b>M60:</b></td><td>'.$row[ $WepStatsFields['M60'] ].'</td></tr>
							<tr><td><b>Helicannon:</b></td><td>'.$row[ $WepStatsFields['Helicannon'] ].'</td></tr>
							<tr><td><b>Vehicle:</b></td><td>'.$row[ $WepStatsFields['Vehicle'] ].'</td></tr>
							<tr><td><b>Drive-By:</b></td><td>'.$row[ $WepStatsFields['Drive-By'] ].'</td></tr>
							<tr><td><b>Explosion:</b></td><td>'.$row[ $WepStatsFields['Explosion'] ].'</td></tr>
							<tr><td><b>Heli Blades:</b></td><td>'.$row[ $WepStatsFields['Heli Blades'] ].'</td></tr>
							<tr><td>&nbsp;</td><td></td></tr>
						</table>
					</td>
				</tr>
			</table>
		';
		}
	}
echo '
			<p>
				<a href="index.php"><- Go Back</a>
			</p>
';
}

if ( $found == false )
{
	echo '<h2>Given nick not found!</h2><br/><br/><a href="index.php">Go to main Page</a>';
}
}
else
{
	echo '<h2>No nick specified!</h2><br/><br/><a href="index.php">Go to main Page</a>';
}
?>
		</div>
		<br style="clear:both" />
	</div>
	<div class="footer">
		--- &copy; 2011 Thijn - All rights reserved ---
	</div>
</body>
</html>
<?php
//Function to get the Position of the Player
function GetPos( $Nick )
{
	global $StatsTable, $Fields, $database; //Get settings from config file
	
	$sql = 'SELECT * FROM '.$StatsTable.' ORDER BY '.$Fields['Kills'].' DESC';
	$pos = 1;
	$q = $database->prepare( $sql );
	$q->execute();
	$result = $q->fetchAll();
	foreach ( $result as $row )
	{
		if ( $row[ $Fields['Nickname'] ] == $Nick ) return $pos.' / '.count($result);
		else $pos++;
	}
}
?>